> ## Documentation Index
> Fetch the complete documentation index at: https://botpress.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# listConversations

> Returns a list of [Conversation](#schema_conversation) objects



## OpenAPI

````yaml /chat-openapi.json GET /conversations
openapi: 3.0.0
info:
  title: Chat API
  description: API for the Chat Integration
  version: 0.0.0
servers:
  - url: https://chat.botpress.cloud/{webhookUrl}
    variables:
      webhookUrl:
        default: your_default_webhook_url
        description: The webhook URL
security: []
paths:
  /conversations:
    get:
      tags:
        - Endpoints
      summary: List Conversations
      description: Returns a list of [Conversation](#schema_conversation) objects
      operationId: listConversations
      parameters:
        - name: x-user-key
          in: header
          description: Authentication Key
          required: true
          schema:
            type: string
        - name: nextToken
          in: query
          description: >-
            Provide the `meta.nextToken` value provided in the last API response
            to retrieve the next page of results
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Returns a list of [Conversation](#schema_conversation) objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  conversations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: >-
                            Identifier of the
                            [Conversation](#schema_conversation)
                        createdAt:
                          type: string
                          format: date-time
                          description: >-
                            Creation date of the
                            [Conversation](#schema_conversation) in ISO 8601
                            format
                        updatedAt:
                          type: string
                          format: date-time
                          description: >-
                            Updating date of the
                            [Conversation](#schema_conversation) in ISO 8601
                            format
                      required:
                        - id
                        - createdAt
                        - updatedAt
                  meta:
                    type: object
                    properties:
                      nextToken:
                        type: string
                        description: >-
                          The token to use to retrieve the next page of results,
                          passed as a query string parameter (value should be
                          URL-encoded) to this API endpoint.
                    additionalProperties: false
                required:
                  - conversations
                  - meta
                title: listConversationsResponse
                additionalProperties: false
        default:
          description: Returns a list of [Conversation](#schema_conversation) objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  conversations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: >-
                            Identifier of the
                            [Conversation](#schema_conversation)
                        createdAt:
                          type: string
                          format: date-time
                          description: >-
                            Creation date of the
                            [Conversation](#schema_conversation) in ISO 8601
                            format
                        updatedAt:
                          type: string
                          format: date-time
                          description: >-
                            Updating date of the
                            [Conversation](#schema_conversation) in ISO 8601
                            format
                      required:
                        - id
                        - createdAt
                        - updatedAt
                  meta:
                    type: object
                    properties:
                      nextToken:
                        type: string
                        description: >-
                          The token to use to retrieve the next page of results,
                          passed as a query string parameter (value should be
                          URL-encoded) to this API endpoint.
                    additionalProperties: false
                required:
                  - conversations
                  - meta
                title: listConversationsResponse
                additionalProperties: false

````